# SpreadJS Wrapper Components for Vue

This package contains the wrapper components plug-in to use [SpreadJS](https://developer.mescius.com/spreadjs?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing) in Vue.

![SpreadJS](https://grapecitycontentcdn.azureedge.net/external/spread/npm/SJS-npmjs-Global-5-01.png)

## [SpreadJS Vue Wrapper Components](https://developer.mescius.com/spreadjs/vue-spreadsheet-components?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)
This enterprise-grade Vue spreadsheet supports many popular features such as a [powerful formula engine (500+ functions)](https://developer.mescius.com/spreadjs/javascript-excel-calculations?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), native Excel .xlsx input and output, [PivotTables](https://developer.mescius.com/spreadjs/javascript-excel-spreadsheet-pivot-table?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), [charting](https://developer.mescius.com/spreadjs/javascript-chart-components?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), slicers, [sparklines](https://developer.mescius.com/spreadjs/javascript-sparkline-charts?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), conditional formatting, tables, international localization, printing, sorting, filtering, drag-fill, grouping, undo/redo, data validation, [input controls](https://developer.mescius.com/spreadjs/javascript-spreadsheet-cell-types?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), and much more.

For a detailed listing of SpreadJS sub-libraries and plug-ins, please see [Using SpreadJS Libraries](https://developer.mescius.com/spreadjs/docs/getstarted/modules?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing).

## Samples
To quickly jump in, check out our [Demo Gallery](https://developer.mescius.com/spreadjs/demos/?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing). You can also view a complete implementation of the on-line [Web Designer](https://developer.mescius.com/spreadjs/designer/?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing) and [Mobile Spreadsheet Application](https://developer.mescius.com/spreadjs/spreadsheet/?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)

Download the [SpreadJS Free Trial](https://developer.mescius.com/spreadjs/download?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing) today.

## Installation
```sh
npm install @mescius/spread-sheets-vue
```

## Documentation
Online documentation is available here:
- [Developer's Guide](https://developer.mescius.com/spreadjs/docs/overview?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)
- [Vue Spreadsheet Quick Start](https://developer.mescius.com/spreadjs/docs/javascript-frameworks/UsingSpreadSheetswithVue?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)
- [API Reference](https://developer.mescius.com/spreadjs/api/modules/GC?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)
- [Product ReadMe](https://developer.mescius.com/spreadjs/docs/rnotes?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)

## Getting more help
Visit SpreadJS home page to get more info about the library:
[https://developer.mescius.com/spreadjs/vue-spreadsheet-components](https://developer.mescius.com/spreadjs/vue-spreadsheet-components?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)

Watch our quick overview video to see the JavaScript spreadsheet component in action: [An Overview of SpreadJS, The Leading JavaScript Spreadsheet Library for Web Applications](https://developer.mescius.com/videos/spreadjs/an-overview-of-spreadjs-the-leading-javascript-spreadsheet-library-for-web-applications?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing)

Empower your user and development projects with the versatile [optional add-on components](https://developer.mescius.com/spreadjs/javascript-spreadsheet-addons?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing) - [Designer Ribbon](https://www.npmjs.com/package/@mescius/spread-sheets-designer?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), [PivotTable](https://www.npmjs.com/package/@mescius/spread-sheets-pivot-addon?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), [ReportSheet](https://www.npmjs.com/package/@mescius/spread-sheets-reportsheet-addon?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing), and [GanttSheet](https://www.npmjs.com/package/@mescius/spread-sheets-ganttsheet?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing).

You can ask any question about SpreadJS or report an error using the [SpreadJS Forum](https://developer.mescius.com/forums/spreadjs?utm_source=NPM&utm_medium=SP&utm_campaign=SpreadJS-NPM-Vue-Listing).